/*
 Theme Name:   Bricks Child Theme
 Theme URI:    https://bricksbuilder.io/
 Description:  Use this child theme to extend Bricks.
 Author:       Bricks
 Author URI:   https://bricksbuilder.io/
 Template:     bricks
 Version:      1.1
 Text Domain:  bricks
*/

@media (max-width: 991px) {
  html, body {
    overflow-x: hidden;
  }
}

/* Header Kevin */

@media only screen and (min-width: 992px) {
    .admin-bar #brx-header {
        z-index: 2;
    }
}
.megamenu-link [aria-current="page"] a {
  color: var(--secondary-dark);
}

@media only screen and (max-width:1260px) {
  a.brxe-text-basic.btn--primary.btn--secondary.btn--header {
    display:none;
}}

/*
body.bricks-is-frontend.bricks-is-frontend :focus-visible  {
  outline: unset!important;
  }
*/

.brxe-nav-nested.brxe-nav-nested:not(.brx-open) .brx-nav-nested-items > li > a[aria-current="page"]:not([class*="btn--"]):not([data-exclude]) {
    color: var(--primary)!important;
}

.fr-nav-mm-alpha  a.btn--header {
  color:var(--white)!important;
}

.x-header_not-top .fr-nav-mm-alpha__logo-wrapper {
    width: 100px;
}

/* letzter Menüpunkt */
#menu-primary-menu > li:last-child > a {
  border-top-right-radius: 12px;
  border-bottom-right-radius: 12px;
}

#menu-primary-menu > li:first-child > a {
  border-top-left-radius: 12px;
  border-bottom-left-radius: 12px;
}

.texthintergrund {
  display: inline-block;
  background: var(--secondary);
  padding: .1em .2em;
  border-radius: var(--radius);
}

.texthintergrund-blau {
  display: inline-block;
  background: var(--primary);
  padding: .1em .2em;
  border-radius: var(--radius);
}

.texthintergrund-primary {
  display: inline-block;
  background: var(--primary);
  padding: .1em .2em;
}

.x-header_not-top .megamenu
 {
    margin-top: 10px!important;
}

.x-header_not-top .fr-dropdown-bravo__list
 {
    margin-top: 10px!important;
}

.no-overlap {
  /* Erlaubt Umbrüche innerhalb von Wörtern, wenn nötig */
  overflow-wrap: break-word;
}

/*
@media (max-height: 900px) {
  .bm-hero-8--4d712c {
    min-height: 90vh;
    height: 90vh;
  }
}*/

@media (max-height:1100px ) {
    .bm-hero-8__background-image--4d712c:not(.tag), .bm-hero-8__background-image--4d712c img {
    object-position: center center!important;
  }
}


.milchglas-element {
    background: rgba(255, 255, 255, 0.3); 
    backdrop-filter: blur(10px); 
    -webkit-backdrop-filter: blur(10px); 
    border-bottom: 1px solid var(--white); 
}

/* Tabellen */
header .dt-column-title {
  color: var(--white);
}

/* Formular */
.ff_t_c {
  color: #000000;
}

/* Shop */

.produktbeschreibung-single__product-content p {
margin-block-start: var(--paragraph-spacing, var(--flow-spacing, initial));
    margin-block-end: 0;
}

.related.products .product {
  background: var(--white);
}

.related.products .product h2 {
  margin-top:30px;
}

.related.products .product {
  padding: 2rem;
  height:100%;
}

.related.products .products {
    width: 100%;
}

.related.products a.button {
        background: var(--secondary);
    color: var(--white);
    padding-block: var(--btn-padding-block);
    padding-inline: var(--btn-padding-inline);
    min-inline-size: var(--btn-min-width);
    line-height: var(--btn-line-height);
    font-size: var(--btn-font-size, var(--text-m));
    font-weight: var(--btn-font-weight);
    font-style: var(--btn-font-style);
    text-transform: var(--btn-text-transform);
    letter-spacing: var(--btn-letter-spacing);
    text-decoration: var(--btn-text-decoration);
    border-radius: var(--btn-radius);
    transition: var(--btn-transition, var(--transition));
    justify-content: var(--btn-justify-content, center);
    text-align: var(--btn-text-align, center);
}

button.single_add_to_cart_button.button.alt {
        background: var(--secondary);
    color: var(--white);
    padding-block: var(--btn-padding-block);
    padding-inline: var(--btn-padding-inline);
    min-inline-size: var(--btn-min-width);
    line-height: var(--btn-line-height);
    font-size: var(--btn-font-size, var(--text-m));
    font-weight: var(--btn-font-weight);
    font-style: var(--btn-font-style);
    text-transform: var(--btn-text-transform);
    letter-spacing: var(--btn-letter-spacing);
    text-decoration: var(--btn-text-decoration);
    border-radius: var(--btn-radius);
    transition: var(--btn-transition, var(--transition));
    justify-content: var(--btn-justify-content, center);
    text-align: var(--btn-text-align, center);
}

.product p.wc-gzd-additional-info {
  display:inline;
}

.related.products a.button {
  display:block;
  width: 20ch;
  margin-top:30px;
}



@media (max-width: 991px){
  #brxe-mvgcld .related ul.products{
    display: block !important;
  }
  #brxe-mvgcld .related ul.products > li.product{
    width: 100% !important;
  }
}
 #brxe-mvgcld .related ul.products a.button.product_type_simple.add_to_cart_button.ajax_add_to_cart {
  display:none;
   }

span.woocommerce-Price-amount.amount bdi
 {
    font-size: var(--h3);
    font-weight: 700;
    color: var(--primary);
}
   
.produktbeschreibung-single__product-add-to-cart label {
  color: var(--primary);
  font-size: var(--text-l);
  font-weight: 600;
} 

.variations tbody tr {
  background-color: var(--primary-ultra-light);
  padding-inline: 1rem;
}

.variations tbody td, .variations tbody th {
  padding-inline: 1rem;
}

@media (min-width: 992px) {
.checkout-formular .woocommerce {
      display: grid;
    align-items: initial;
    grid-template-columns: var(--grid-3-2);
    grid-gap: var(--grid-gap);
    grid-template-rows: var(--grid-1);
}}

.woocommerce h3 {
  color: var(--primary);
  margin-bottom:.5rem;
}

.checkout-formular span.woocommerce-Price-amount.amount bdi {
  font-size: var(--h4);
  }

  .checkout-formular .product-name  {
    color: var(--primary);
}

.checkout-formular select, .checkout-formular input {
  height: 60px;
}

.input-text::placeholder   {
  color: var(--black);
}

.checkout-formular select, .checkout-formular input {
  height:inherit;
}

.woocommerce-checkout label {
  font-weight:500;
}

.woocommerce-checkout-payment {
  margin-bottom:1rem;
}

.woocommerce-cart-form .product-thumbnail a {
  display: inline-block;
}

.woocommerce-cart-form .product-thumbnail a:focus-visible {
  outline: none;
}

.woocommerce-cart-form .product-thumbnail a:focus-visible img {
    outline-style: solid;
    outline-color: var(--focus-color);
    outline-width: var(--focus-width);
    outline-offset: var(--focus-offset);
}

.shipping-calculator-form label {
  color:var(--black);
}

.shipping-calculator-form {
  gap: var(--content-gap);
}

.shipping-calculator-form input {
  height:40px;
}

ul.woocommerce-shipping-methods label {
  color: var(--black);
}

.checkout-button {
  background-color: var(--secondary);
  color: var(--white);
  border-radius: var(--radius);
}

.checkout-button:hover {
  background-color: var(--secondary-dark);
  color: var(--white);
  border-radius: var(--radius);
}

.woocommerce input, .woocommerce select {
  height:40px;
}

.checkbox-legal input {
  height: inherit;
}

.woocommerce-notice--success {
  color: var(--secondary);
  font-size: var(--h3);
  font-weight:700;
}

.woocommerce-bacs-bank-details {
  margin-top: 2rem;
}

h2.wc-bacs-bank-details-heading {
  color: var(--primary);
}

.woocommerce-bacs-bank-details {
  gap: var(--content-gap);
}




@media (min-width: 992px) {
.woocommerce-columns--addresses {
        display: grid;
    align-items: initial;
    grid-template-columns: var(--grid-2);
    grid-gap: var(--grid-gap);
    grid-template-rows: var(--grid-1);
  width:100%;
}}

h3.wc-bacs-bank-details-account-name {
    font-size: var(--text-l);
}

.woocommerce-customer-details .woocommerce-column {
  width:100%!important;
}

h2.woocommerce-order-details__title {
  color: var(--primary);
}

.woocommerce-order-details {
  margin-top:4rem;
  gap: var(--content-gap);
}

.woocommerce-customer-details h2 {
  color:var(--primary);
  font-size: var(--h3);
}

.woocommerce-customer-details .woocommerce-column {
  background:#eeeeee;
  padding:1rem;
  border-radius: var(--radius);
}

.woocommerce-gzd-checkout .brxe-block.fr-footer-golf__top {
  background-color: #eeeeee;
}

.brxe-woocommerce-mini-cart .cart-detail .widget_shopping_cart_content {
  gap: 1rem;
}

ul.woocommerce-mini-cart.cart_list.product_list_widget .quantity {
  margin-top:1rem;
}


.widget_shopping_cart_content bdi {
  font-size:var(--text-m)!important;
}

.offcanvas-3__toggle-menu .brxa-wrap {
  color:var(--secondary)!important;
}

ul#shipping_method span.woocommerce-Price-amount.amount {
  padding-top:.5rem!important;
}

@media (max-width:1070px) {
    .woocommerce-shipping-methods .amount  {
      display:block;
  gap:1rem;
    }
}

@media (max-width: 767px) {
  .cart-collaterals .cart_totals .shop_table tr.cart-subtotal th {
    padding-right: 1rem;
  }

  .cart-collaterals .cart_totals .shop_table tr.cart-subtotal td {
    padding-left: 1rem;
    text-align: right;
    white-space: nowrap;
  }
}

.widget_shopping_cart_content .quantity {
    color: var(--black) !important;
}

.ff_t_c a {
  font-weight: 700;
}

.woocommerce-message {
    padding: 1rem;
}

ul {
    padding-inline-start:0px!important;
}

ul.woocommerce-mini-cart.cart_list.product_list_widget li
 {
    padding: 1rem;
   background:#EBEFF6;
   margin-bottom:10px;
   border-radius: var(--btn-radius);
}

li.woocommerce-mini-cart-item.mini_cart_item a {
  right:10px;
}

.bricks-shape-divider {
 /* transform: translateY(-2px)!important;  Oder -1px */
  margin-top:2px!important;
}

body.using-mouse .megamenu-link:focus-visible {
  outline: none !important;
}

body.bricks-is-frontend.bricks-is-frontend :focus-visible {
  outline-color: var(--primary)!important;
}

div#fluentform_3_success {
    text-align: center;
    padding: 3rem 0;
}